%define upstream_name    Gtk2-TrayIcon
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module interface to the EggTrayIcon library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gtk+2-devel
BuildRequires: perl(Cairo)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Glib) >= 0.92
BuildRequires: perl(Gtk2)
BuildRequires: perl-devel
Requires:   gtk+2
Requires:   perl-Gtk2 >= 0.95-6mdk
%description
This module allows a Perl developer to embed an arbitrary widget
in a System Tray like the Gnome notification area.
System Trays are found in both KDE and Gnome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.70.0-4.mga9
+ Revision: 1863260
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.70.0-3.mga9
+ Revision: 1838627
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.70.0-2.mga9
+ Revision: 1727680
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.70.0-1.mga9
+ Revision: 1691396
- update to 0.07

* Fri Jun 19 2020 tv <tv> 0.60.0-25.mga8
+ Revision: 1596596
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.60.0-24.mga8
+ Revision: 1529493
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.60.0-23.mga8
+ Revision: 1433650
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-22.mga7
+ Revision: 1293064
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.60.0-21.mga7
+ Revision: 1249414
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-20.mga7
+ Revision: 1164666
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-19.mga7
+ Revision: 1150108
- Rebuild for perl ABI changes
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.60.0-17.mga7
+ Revision: 1127580
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-16.mga6
+ Revision: 1028126
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-15.mga6
+ Revision: 957453
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.60.0-14.mga6
+ Revision: 844886
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.60.0-13.mga6
+ Revision: 842331
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-12.mga5
+ Revision: 742878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-11.mga5
+ Revision: 684916
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.60.0-10.mga5
+ Revision: 632453
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-9.mga4
+ Revision: 524859
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-8.mga4
+ Revision: 431573
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.60.0-7.mga3
+ Revision: 389370
- cleanup br

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-6.mga3
+ Revision: 367936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-5.mga3
+ Revision: 250747
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.60.0-4.mga2
+ Revision: 135833
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.60.0-3.mga2
+ Revision: 104482
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-2.mga1
+ Revision: 36348
- mageia rebuild
- imported package perl-Gtk2-TrayIcon

